Package wx :: Package lib :: Package ogl :: Class ControlPoint

[frames | no frames]

## Type ControlPoint

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
             RectangleShape --+
                              |
                             ControlPoint

Known Subclasses:
  `DividedShapeControlPoint`, `DivisionControlPoint`, `LineControlPoint`, `PolygonControlPoint`

Method Summary
| `__init__(self, theCanvas, object, size, the_xoffset, the_yoffset, the_type)`
| ``GetAttachmentPosition`(self, attachment, nth, no_arcs, line)` Get the position at which the given attachment point should be drawn.
| ``GetNumberOfAttachments`(self)` Get the number of attachment points for this shape.
| `OnBeginDragLeft(self, x, y, keys, attachment)`
| `OnDragLeft(self, draw, x, y, keys, attachment)`
| `OnDraw(self, dc)`
| `OnDrawContents(self, dc)`
| `OnEndDragLeft(self, x, y, keys, attachment)`
| `OnErase(self, dc)`
| `SetEraseObject(self, er)`

Class Variable Summary

Method Details

### GetAttachmentPosition(self, attachment, nth=0, no_arcs=1, line=None)

Get the position at which the given attachment point should be drawn.

If attachment isn't found among the attachment points of the shape, returns None.

  Overrides:
    `wx.lib.ogl.Shape.GetAttachmentPosition` (inherited documentation)

### GetNumberOfAttachments(self)

Get the number of attachment points for this shape.

  Overrides:
    `wx.lib.ogl.Shape.GetNumberOfAttachments` (inherited documentation)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:45 2007 | http://epydoc.sf.net